## The Poisson Distribution

## Usage

    dpois(x, lambda)
    ppois(q, lambda)
    qpois(p, lambda)
    rpois(n, lambda)

## Arguments

`x` | vector of (non-negative integer) quantiles.
`q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of random values to return.
`lambda` | vector of positive means.

## Description

These functions provide information about the Poisson distribution with parameter `lambda`. `dpois` gives the density, `ppois` gives the distribution function `qpois` gives the quantile function and `rpois` generates random deviates.

## Details

The Poisson distribution has density

p(x) = lambda^x exp(-lambda)/x!

for x = 0, 1, 2, ....

If an element of `x` is not integer, the result of `dpois` is zero, with a warning.

## See Also

`dbinom` for the binomial and `dnbinom` for the negative binomial distribution.

## Examples

    -log(dpois(0:7, lambda=1) * gamma(1+ 0:7))
    Ni <- rpois(50, lam= 4); table(factor(Ni, 0:max(Ni)))

    par(mfrow = c(2, 1))
    x <- seq(-0.01, 5, 0.01)
    plot(x, ppois(x, 1), type="s", ylab="F(x)", main="Poisson(1) CDF")
    plot(x, pbinom(x, 100, 0.01),type="s", ylab="F(x)",
         main="Binomial(100, 0.01) CDF")

    -log(dpois(0:7, lambda=1) * gamma(1+ 0:7))
    Ni <- rpois(50, lam= 4); table(factor(Ni, 0:max(Ni)))

    par(mfrow = c(2, 1))
    x <- seq(-0.01, 5, 0.01)
    plot(x, ppois(x, 1), type="s", ylab="F(x)", main="Poisson(1) CDF")
    plot(x, pbinom(x, 100, 0.01),type="s", ylab="F(x)",
         main="Binomial(100, 0.01) CDF")

[Package Contents]